### GET /sticky/ Source: https://envios-api.olist.com/swagger/doc.json Get sticky information ```markdown ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/sticky/" ``` ``` -------------------------------- ### GET /issues/onboarding Source: https://envios-api.olist.com/swagger/doc.json Search onboarding issues ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - Onboarding issues returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/issues/onboarding" ``` ``` -------------------------------- ### GET /coupon/metadata Source: https://envios-api.olist.com/swagger/doc.json Get coupons metadata ```markdown ### Parameters - **code** (string, path, required): Coupon Code ### Responses #### 200 - OK Empty response body #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/coupon/metadata" ``` ``` -------------------------------- ### GET /wallets/ Source: https://envios-api.olist.com/swagger/doc.json Get wallet information ```markdown ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/wallets/" ``` ``` -------------------------------- ### GET /batch-file-items/ Source: https://envios-api.olist.com/swagger/doc.json Retorna uma lista batch-file-items ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/batch-file-items/" ``` ``` -------------------------------- ### GET /batch-files/ Source: https://envios-api.olist.com/swagger/doc.json Retorna uma lista pagina de batch-files ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/batch-files/" ``` ``` -------------------------------- ### GET /carriers Source: https://envios-api.olist.com/swagger/doc.json Get all carriers available ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - Carriers returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/carriers" ``` ``` -------------------------------- ### GET /carriers/platforms-to-mapping Source: https://envios-api.olist.com/swagger/doc.json Get mapping carriers vs integration ecommerce to serve ERP Client ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - Mapping returned successfully Empty response body #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/carriers/platforms-to-mapping" ``` ``` -------------------------------- ### GET /delivery-detail/receipt/download/{tracking_code} Source: https://envios-api.olist.com/swagger/doc.json Download delivery detail receipt ```markdown ### Parameters - **tracking_code** (string, path, required): Tracking code ### Responses #### 200 - Receipt file Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Delivery detail or receipt not found Delivery detail or receipt not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/delivery-detail/receipt/download/{tracking_code}" ``` ``` -------------------------------- ### POST /wallets/withdraw/configs Source: https://envios-api.olist.com/swagger/doc.json Get withdraw configs ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/wallets/withdraw/configs" ``` ``` -------------------------------- ### GET /trackings/{code} Source: https://envios-api.olist.com/swagger/doc.json Get trackings by code ```markdown ### Parameters - **tracking_code** (string, path, required): Tracking code ### Responses #### 200 - Trackings returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Tracking not found Tracking not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/trackings/{code}" ``` ``` -------------------------------- ### GET /wallets/deposit/{:financial_req_id} Source: https://envios-api.olist.com/swagger/doc.json Get deposit information ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/wallets/deposit/{:financial_req_id}" ``` ``` -------------------------------- ### GET /trackings/{tracking_code} Source: https://envios-api.olist.com/swagger/doc.json Get volumes and trackings by tracking code ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **tracking_code** (string, path, required): Tracking code ### Responses #### 200 - Trackings returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Tracking not found Tracking not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/trackings/{tracking_code}" ``` ``` -------------------------------- ### GET /volumes/statistics Source: https://envios-api.olist.com/swagger/doc.json Get volumes statistics ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id ### Responses #### 200 - Statistics returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/volumes/statistics" ``` ``` -------------------------------- ### GET /customers/ Source: https://envios-api.olist.com/swagger/doc.json Fetch customer using the user authorization token ```markdown ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token ### Example Usage ```bash curl -X GET "https://api.example.com/customers/" ``` ``` -------------------------------- ### GET / Source: https://envios-api.olist.com/swagger/doc.json search an integration using client_id and customer_id filters ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **client_id** (string, path, required): Client ID - **reference** (string, path, required): Reference ### Responses #### 200 - Integration returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/" ``` ``` -------------------------------- ### GET /coupon/{code} Source: https://envios-api.olist.com/swagger/doc.json Finds a coupon by the provided coupon code ```markdown ### Parameters - **code** (string, path, required): Coupon Code ### Responses #### 200 - OK Empty response body #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/coupon/{code}" ``` ``` -------------------------------- ### GET /issues/{id}/shipping-details Source: https://envios-api.olist.com/swagger/doc.json Search issues with yours volumes ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token ### Responses #### 200 - Volume with issue id returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/issues/{id}/shipping-details" ``` ``` -------------------------------- ### GET /carriers/{slug} Source: https://envios-api.olist.com/swagger/doc.json Get carrier by slug ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **slug** (string, path, required): Carrier slug ### Responses #### 200 - Carrier returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Carrier not found Carrier not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/carriers/{slug}" ``` ``` -------------------------------- ### GET /shipments/trackings/{shipment_code} Source: https://envios-api.olist.com/swagger/doc.json Get a shipment tracking by shipment_code ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **shipment_code** (string, path, required): Shipment Code ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Shipment not found Shipment not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/shipments/trackings/{shipment_code}" ``` ``` -------------------------------- ### GET /wallets/deposit/metadata Source: https://envios-api.olist.com/swagger/doc.json This endpoint provides metadata required for the frontend to build the deposit screen for the correct user. ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/wallets/deposit/metadata" ``` ``` -------------------------------- ### GET /shipments/{id} Source: https://envios-api.olist.com/swagger/doc.json Get a shipment by id ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **id** (string, path, required): Shipment UUID ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Shipment not found Shipment not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/shipments/{id}" ``` ``` -------------------------------- ### GET /transactions/{id} Source: https://envios-api.olist.com/swagger/doc.json Get transaction by id ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **id** (string, path, required): Transaction id ### Responses #### 200 - Transactions returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/transactions/{id}" ``` ``` -------------------------------- ### GET /hubs Source: https://envios-api.olist.com/swagger/doc.json Retorna uma lista de hubs com status ativo ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/hubs" ``` ``` -------------------------------- ### GET /labels/:integration_id/zpl/:invoice_key/ Source: https://envios-api.olist.com/swagger/doc.json Print ZPL label by invoice key ```markdown ### Parameters - **integration_id** (string, path, required): Integration id - **invoice_key** (string, path, required): Invoice key ### Responses #### 200 - Labels generated successfully Empty response body #### 204 - Without labels, because don't exist or are cancelled Empty response body #### 206 - Labels generated partially, because some labels don't exist or are cancelled Empty response body #### 400 - Invalid request Invalid request #### 403 - Forbidden Forbidden #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/labels/:integration_id/zpl/:invoice_key/" ``` ``` -------------------------------- ### GET /hubs/zipcode/:{zipcode} Source: https://envios-api.olist.com/swagger/doc.json Retorna um hub com status ativo dado um codigo de cep ```markdown ### Parameters - **zipcode** (string, path, required): Codigo de cep ### Responses #### 200 - OK Empty response body #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/hubs/zipcode/:{zipcode}" ``` ``` -------------------------------- ### GET /labels/:integration_id/pdf/:invoice_key/ Source: https://envios-api.olist.com/swagger/doc.json Print PDF label by invoice key ```markdown ### Parameters - **integration_id** (string, path, required): Integration id - **invoice_key** (string, path, required): Invoice key ### Responses #### 200 - Labels generated successfully Empty response body #### 204 - Without labels, because don't exist or are cancelled Empty response body #### 206 - Labels generated partially, because some labels don't exist or are cancelled Empty response body #### 400 - Invalid request Invalid request #### 403 - Forbidden Forbidden #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X GET "https://api.example.com/labels/:integration_id/pdf/:invoice_key/" ``` ``` -------------------------------- ### GET /customers/document-number/{documentNumber} Source: https://envios-api.olist.com/swagger/doc.json Fetch customer using the user authorization admin token ```markdown ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/customers/document-number/{documentNumber}" ``` ``` -------------------------------- ### GET /devolutions/{tracking_code}/ Source: https://envios-api.olist.com/swagger/doc.json Returns devolution information based on the tracking code (normal or reverse). ```markdown ### Parameters - **tracking_code** (string, path, required): Tracking code ### Responses #### 200 - OK Empty response body #### 400 - Bad request Bad request #### 404 - Not found Not found ### Example Usage ```bash curl -X GET "https://api.example.com/devolutions/{tracking_code}/" ``` ``` -------------------------------- ### POST /sign-up Source: https://envios-api.olist.com/swagger/doc.json Create an account in envios ```markdown ### Parameters - **sign-up** (iofeature.GatewaySignUpInput, body, required): Sign up payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 403 - CNPJ already registered with Envios CNPJ already registered with Envios #### 404 - CEP no scope CEP no scope #### 409 - CNPJ already registered without Envios CNPJ already registered without Envios #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/sign-up" ``` ``` -------------------------------- ### POST /customers/packagings Source: https://envios-api.olist.com/swagger/doc.json Create packaging using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **customer** (pack.Builder, body, required): Customer payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/customers/packagings" ``` ``` -------------------------------- ### POST /integrations Source: https://envios-api.olist.com/swagger/doc.json Set up integration using the consented token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **integration** (integrations_features_create_integration.IntegrationRequest, body, required): Integration payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/integrations" ``` ``` -------------------------------- ### POST /devolutions/pdf Source: https://envios-api.olist.com/swagger/doc.json Generate a PDF document from a list of devolutions ```markdown ### Parameters - **devolutions** (handlers.PDFParams, body, required): devolutions filter ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/devolutions/pdf" ``` ``` -------------------------------- ### POST /customers Source: https://envios-api.olist.com/swagger/doc.json Create customer using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **customer** (gitlab_olist_io_envios_envios-apps_apis_api-gateway_internal_customers_features.CustomerRequest, body, required): Customer payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/customers" ``` ``` -------------------------------- ### POST /devolutions/xls Source: https://envios-api.olist.com/swagger/doc.json Generate a XLS document from a list of devolutions ```markdown ### Parameters - **devolutions** (handlers.GetAndXLSQueryParams, body, required): devolutions filter ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/devolutions/xls" ``` ``` -------------------------------- ### POST /devolutions/finalize Source: https://envios-api.olist.com/swagger/doc.json Finalize a list of devolutions and return a PDF document ```markdown ### Parameters - **devolutions** (array (devolutiondomain.ExportDevolution), body, required): devolutions to be finalized ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/devolutions/finalize" ``` ``` -------------------------------- ### PATCH /customers/packagings Source: https://envios-api.olist.com/swagger/doc.json Update customer packagings using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **document** (customers_features_update_packagings.request, body, required): Packaging payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X PATCH "https://api.example.com/customers/packagings" ``` ``` -------------------------------- ### POST /wallets/billing/prepaid Source: https://envios-api.olist.com/swagger/doc.json This endpoint provides metadata required for the frontend to build the deposit screen for the correct user. ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **deposit** (walletdomain.BillingAttributePrepaid, body, required): Billing configure payload ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/wallets/billing/prepaid" ``` ``` -------------------------------- ### POST /sign-up/validate Source: https://envios-api.olist.com/swagger/doc.json Validate CNPJ, CEP and email for registration in envios ```markdown ### Parameters - **validate** (iofeature.GatewayValidateInput, body, required): Validate payload ### Responses #### 204 - No content - CNPJ and CEP are valid Empty response body #### 400 - Invalid request Invalid request #### 403 - CNPJ already registered with Envios CNPJ already registered with Envios #### 404 - CEP no scope CEP no scope #### 409 - CNPJ already registered (ERP or other product) without Envios or email already registered CNPJ already registered (ERP or other product) without Envios or email already registered #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/sign-up/validate" ``` ``` -------------------------------- ### POST /shipments Source: https://envios-api.olist.com/swagger/doc.json Create a shipment to be delivered ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **quote** (iofeature.GatewayShipmentPayload, body, required): Shipment payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 402 - Insufficient credit Insufficient credit #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/shipments" ``` ``` -------------------------------- ### POST /shipments/hub-receipt Source: https://envios-api.olist.com/swagger/doc.json Create a devolution or resend hire from hub ```markdown ### Parameters - **quote** (iofeature.GatewayHubReceiptInput, body, required): Shipment devolution payload ### Responses #### 201 - Created Empty response body #### 203 - Non-Authoritative Information Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Volume not found Volume not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/shipments/hub-receipt" ``` ``` -------------------------------- ### POST /ecomm Source: https://envios-api.olist.com/swagger/doc.json Create a New integration using the consented token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **integration** (integrations_features_create_integration.IntegrationRequest, body, required): Integration payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/ecomm" ``` ``` -------------------------------- ### POST /wallets/deposit/:financial_req_id/recreate/ Source: https://envios-api.olist.com/swagger/doc.json Request deposit recreate in wallet ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **deposit** (wallets_deposit.RecreateRequestData, body, required): Recreate payload ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/wallets/deposit/:financial_req_id/recreate/" ``` ``` -------------------------------- ### POST /wallets/withdraw/{:financial_req_id}/process/ Source: https://envios-api.olist.com/swagger/doc.json Process withdraw in wallet ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **deposit** (handlers.ProcessWithdrawRequest, body, required): Withdraw payload ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/wallets/withdraw/{:financial_req_id}/process/" ``` ``` -------------------------------- ### POST /wallets/deposit Source: https://envios-api.olist.com/swagger/doc.json Request deposit in wallet ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **deposit** (wallets_deposit.DepositRequestData, body, required): Deposit payload ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/wallets/deposit" ``` ``` -------------------------------- ### POST /volumes/{id}/cancel-without-refund/ Source: https://envios-api.olist.com/swagger/doc.json Cancel a volume without refund ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **id** (string, path, required): Volume UUID ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Volume not found Volume not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/volumes/{id}/cancel-without-refund/" ``` ``` -------------------------------- ### POST /shipments/:id/reverse Source: https://envios-api.olist.com/swagger/doc.json Create a reverse shipment to be delivered ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **quote** (shipments_reverse.CreateReverseShipmentRequest, body, required): Shipment payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 402 - Insufficient credit Insufficient credit #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/shipments/:id/reverse" ``` ``` -------------------------------- ### POST /labels/pdf Source: https://envios-api.olist.com/swagger/doc.json Print ZPL label of the filtered shipments ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, optional): Customer id - **payload** (printlabel.LabelRequest, body, required): Label payload ### Responses #### 200 - Labels generated successfully Empty response body #### 204 - Without labels, because don't exist or are cancelled Empty response body #### 206 - Labels generated partially, because some labels don't exist or are cancelled Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/labels/pdf" ``` ``` -------------------------------- ### POST /wallets/withdraw Source: https://envios-api.olist.com/swagger/doc.json Request withdraw in wallet ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **deposit** (handlers.WithdrawalRequest, body, required): Withdraw payload ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/wallets/withdraw" ``` ``` -------------------------------- ### POST /issues/shipment/{id}/handle Source: https://envios-api.olist.com/swagger/doc.json Handle for and issue ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **quote** (issues_devolution.ShipmentIssueHandleInput, body, required): Shipment Issue Handle payload ### Responses #### 200 - Issue pos handle returned successfully Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/issues/shipment/{id}/handle" ``` ``` -------------------------------- ### POST /labels/zpl Source: https://envios-api.olist.com/swagger/doc.json Print ZPL label of the filtered shipments ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, optional): Customer id - **payload** (printlabel.LabelRequest, body, required): Label payload ### Responses #### 200 - Labels generated successfully Empty response body #### 204 - Without labels, because don't exist or are cancelled Empty response body #### 206 - Labels generated partially, because some labels don't exist or are cancelled Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/labels/zpl" ``` ``` -------------------------------- ### POST /freights/shipments Source: https://envios-api.olist.com/swagger/doc.json Calculate freight quote for devolution ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **quote** (freights_features_freight_quote.QuoteRequest, body, required): Freight quote shipment payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/freights/shipments" ``` ``` -------------------------------- ### POST /volumes/{id}/cancel Source: https://envios-api.olist.com/swagger/doc.json Cancel a volume to be delivered ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **id** (string, path, required): Volume UUID ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Volume not found Volume not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/volumes/{id}/cancel" ``` ``` -------------------------------- ### PATCH /customers/documents Source: https://envios-api.olist.com/swagger/doc.json Update customer documents using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **document** (customers_features_update_documents.request, body, required): Customer payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X PATCH "https://api.example.com/customers/documents" ``` ``` -------------------------------- ### POST /tms Source: https://envios-api.olist.com/swagger/doc.json Create TMS rule using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **rule** (gitlab_olist_io_envios_envios-apps_apis_api-gateway_internal_tms_features.TMSRuleRequest, body, required): TMS rule payload ### Responses #### 201 - Created Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/tms" ``` ``` -------------------------------- ### POST /freights/simulate Source: https://envios-api.olist.com/swagger/doc.json Calculate freight quote for Olist Envios ```markdown ### Parameters - **quote** (freights_features_freight_quote.QuoteRequest, body, required): Freight quote payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/freights/simulate" ``` ``` -------------------------------- ### API Overview: API Gateway Source: https://envios-api.olist.com/swagger/doc.json This is the API Gateway swagger maintained by Logistic developers. ```yaml # API Gateway # Version: 1.0 This is the API Gateway swagger maintained by Logistic developers. # Base URL: Not specified ``` -------------------------------- ### PATCH /customers/address Source: https://envios-api.olist.com/swagger/doc.json update customer address using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **address** (customer.Address, body, required): Customer payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X PATCH "https://api.example.com/customers/address" ``` ``` -------------------------------- ### POST /freights Source: https://envios-api.olist.com/swagger/doc.json Calculate freight quote for Olist Envios ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **quote** (freights_features_freight_quote.QuoteRequest, body, required): Freight quote payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/freights" ``` ``` -------------------------------- ### PATCH /customers/contacts Source: https://envios-api.olist.com/swagger/doc.json update customer contact using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **contact** (customer.Contact, body, required): Customer payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X PATCH "https://api.example.com/customers/contacts" ``` ``` -------------------------------- ### POST /shipments/{id}/cancel Source: https://envios-api.olist.com/swagger/doc.json Cancel a shipment to be delivered ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **id** (string, path, required): Shipment UUID ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 404 - Shipment not found Shipment not found #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/shipments/{id}/cancel" ``` ``` -------------------------------- ### PATCH /tms/{id} Source: https://envios-api.olist.com/swagger/doc.json Update TMS rule using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **id** (string, path, required): Rule id - **rule** (gitlab_olist_io_envios_envios-apps_apis_api-gateway_internal_tms_features.TMSRuleRequest, body, required): TMS rule payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X PATCH "https://api.example.com/tms/{id}" ``` ``` -------------------------------- ### POST /freights/reverse/{shipmentId} Source: https://envios-api.olist.com/swagger/doc.json Calculate freight reverse quote for Olist Envios ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **quote** (freights_features_freight_quote.ReverseQuoteRequest, body, required): Freight reverse quote payload ### Responses #### 200 - OK Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X POST "https://api.example.com/freights/reverse/{shipmentId}" ``` ``` -------------------------------- ### DELETE /tms/{id} Source: https://envios-api.olist.com/swagger/doc.json Delete TMS rule using the user authorization token ```markdown ### Parameters - **Authorization** (string, header, required): Authorization token - **X-Customer-Id** (string, header, required): Customer id - **id** (string, path, required): Rule id ### Responses #### 204 - No Content Empty response body #### 400 - Invalid request Invalid request #### 401 - Invalid token Invalid token #### 422 - Payload validation failed Payload validation failed #### 500 - Unexpected error Unexpected error ### Example Usage ```bash curl -X DELETE "https://api.example.com/tms/{id}" ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.